Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXYPlotActor Class Reference

`#include <vtkXYPlotActor.h>`

Inheritance diagram for vtkXYPlotActor:

[legend]
Collaboration diagram for vtkXYPlotActor:

[legend]
List of all members.

## Detailed Description

generate an x-y plot from input dataset(s) or field data

Date:
  2002/11/11 21:41:29

Revision:
  1.23

vtkXYPlotActor creates an x-y plot of data from one or more input data sets or field data. The class plots dataset scalar values (y-axis) against the points (x-axis). The x-axis values are generated by taking the point ids, computing a cumulative arc length, or a normalized arc length. More than one input data set can be specified to generate multiple plots. Alternatively, if field data is supplied as input, the class plots one component against another. (The user must specify which component to use as the x-axis and which for the y-axis.)

To use this class to plot dataset(s), you must specify one or more input datasets containing scalar and point data. You'll probably also want to invoke a method to control how the point coordinates are converted into x values (by default point ids are used).

To use this class to plot field data, you must specify one or more input data objects with its associated field data. You'll also want to specify which component to use as the x-axis and which to use as the y-axis. Note that when plotting field data, the x and y values are used directly (i.e., there are no options to normalize the components).

Once you've set up the plot, you'll want to position it. The PositionCoordinate defines the lower-left location of the x-y plot (specified in normalized viewport coordinates) and the Position2Coordinate define the upper-right corner. (Note: the Position2Coordinate is relative to PositionCoordinate, so you can move the vtkXYPlotActor around the viewport by setting just the PositionCoordinate.) The combination of the two position coordinates specifies a rectangle in which the plot will lie.

Optional features include the ability to specify axes labels, label format and plot title. You can also manually specify the x and y plot ranges (by default they are computed automatically). The Border instance variable is used to create space between the boundary of the plot window (specified by PositionCoordinate and Position2Coordinate) and the plot itself.

The font property of the plot title can be modified through the TitleTextProperty attribute. The font property of the axes titles and labels can be modified through the AxisTitleTextProperty and AxisLabelTextProperty attributes. You may also use the GetXAxisActor2D or GetYAxisActor2D methods to access each individual axis actor to modify their font properties. In the same way, the GetLegendBoxActor method can be used to access the legend box actor to modify its font properties.

There are several advanced features as well. You can assign per curve properties (such as color and a plot symbol). (Note that each input dataset and/or data object creates a single curve.) Another option is to add a plot legend that graphically indicates the correspondance between the curve, curve symbols, and the data source. You can also exchange the x and y axes if you prefer you plot orientation that way.

Warning:
  If you are interested in plotting something other than scalar data, you can use the vtk data shuffling filters (e.g., vtkAttributeDataToFieldDataFilter snd vtkFieldDataToAttributeDataFilter) to convert the data into scalar data and/or points.

See also:
  vtkActor2D vtkTextMapper vtkScalarBarActor vtkAxisActor2D vtkCubeAxesActor vtkAttributeDataToFieldDataFilter vtkFieldDataToAttributeDataFilter vtkTextProperty

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (57%)
  - Lee, Jeff (26%)
  - Barre, Sebastien (10%)

CVS logs (CVSweb):
  - .`h` (`/Hybrid/vtkXYPlotActor.h)`
  - .`cxx` (`/Hybrid/vtkXYPlotActor.cxx)`

Examples:
  vtkXYPlotActor (Examples)

Tests:
  vtkXYPlotActor (Tests)

Definition at line 132 of file vtkXYPlotActor.h.

## Public Types
typedef vtkActor2D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | RemoveAllInputs ()
vtkDataSetCollection * | GetInputList ()
void | AddDataObjectInput (vtkDataObject *in)
void | RemoveDataObjectInput (vtkDataObject *in)
void | SetPlotColor (int i, float r, float g, float b)
void | SetPlotColor (int i, const float color[3])
float * | GetPlotColor (int i)
void | SetPlotSymbol (int i, vtkPolyData *input)
vtkPolyData * | GetPlotSymbol (int i)
void | SetPlotLabel (int i, const char *label)
const char * | GetPlotLabel (int i)
virtual int | GetPlotCurvePoints ()
virtual void | SetPlotCurvePoints (int)
virtual void | PlotCurvePointsOn ()
virtual void | PlotCurvePointsOff ()
virtual int | GetPlotCurveLines ()
virtual void | SetPlotCurveLines (int)
virtual void | PlotCurveLinesOn ()
virtual void | PlotCurveLinesOff ()
void | SetPlotLines (int i, int)
int | GetPlotLines (int i)
void | SetPlotPoints (int i, int)
int | GetPlotPoints (int i)
void | ViewportToPlotCoordinate (vtkViewport *viewport, float &u, float &v)
void | PlotToViewportCoordinate (vtkViewport *viewport, float &u, float &v)
int | IsInPlot (vtkViewport *viewport, float u, float v)
unsigned long | GetMTime ()
void | ReleaseGraphicsResources (vtkWindow *)
void | AddInput (vtkDataSet *in, const char *arrayName, int component)
void | AddInput (vtkDataSet *in)
void | RemoveInput (vtkDataSet *in, const char *arrayName, int component)
void | RemoveInput (vtkDataSet *in)
void | SetPointComponent (int i, int comp)
int | GetPointComponent (int i)
virtual void | SetXValues (int)
virtual int | GetXValues ()
void | SetXValuesToIndex ()
void | SetXValuesToArcLength ()
void | SetXValuesToNormalizedArcLength ()
void | SetXValuesToValue ()
const char * | GetXValuesAsString ()
vtkDataObjectCollection * | GetDataObjectInputList ()
virtual void | SetDataObjectPlotMode (int)
virtual int | GetDataObjectPlotMode ()
void | SetDataObjectPlotModeToRows ()
void | SetDataObjectPlotModeToColumns ()
const char * | GetDataObjectPlotModeAsString ()
void | SetDataObjectXComponent (int i, int comp)
int | GetDataObjectXComponent (int i)
void | SetDataObjectYComponent (int i, int comp)
int | GetDataObjectYComponent (int i)
virtual void | SetExchangeAxes (int)
virtual int | GetExchangeAxes ()
virtual void | ExchangeAxesOn ()
virtual void | ExchangeAxesOff ()
virtual void | SetReverseXAxis (int)
virtual int | GetReverseXAxis ()
virtual void | ReverseXAxisOn ()
virtual void | ReverseXAxisOff ()
virtual void | SetReverseYAxis (int)
virtual int | GetReverseYAxis ()
virtual void | ReverseYAxisOn ()
virtual void | ReverseYAxisOff ()
vtkLegendBoxActor * | GetLegendBoxActor ()
vtkGlyphSource2D * | GetGlyphSource ()
virtual void | SetTitle (const char *)
virtual char * | GetTitle ()
virtual void | SetXTitle (const char *)
virtual char * | GetXTitle ()
virtual void | SetYTitle (const char *)
virtual char * | GetYTitle ()
vtkAxisActor2D * | GetXAxisActor2D ()
vtkAxisActor2D * | GetYAxisActor2D ()
virtual void | SetXRange (float, float)
void | SetXRange (float[2])
virtual float * | GetXRange ()
virtual void | GetXRange (float data[2])
virtual void | SetYRange (float, float)
void | SetYRange (float[2])
virtual float * | GetYRange ()
virtual void | GetYRange (float data[2])
void | SetPlotRange (float xmin, float ymin, float xmax, float ymax)
virtual void | SetNumberOfXLabels (int)
virtual int | GetNumberOfXLabels ()
virtual void | SetNumberOfYLabels (int)
virtual int | GetNumberOfYLabels ()
void | SetNumberOfLabels (int num)
virtual void | SetLegend (int)
virtual int | GetLegend ()
virtual void | LegendOn ()
virtual void | LegendOff ()
virtual void | SetLegendPosition (float, float)
void | SetLegendPosition (float[2])
virtual float * | GetLegendPosition ()
virtual void | GetLegendPosition (float &, float &)
virtual void | GetLegendPosition (float[2])
virtual void | SetLegendPosition2 (float, float)
void | SetLegendPosition2 (float[2])
virtual float * | GetLegendPosition2 ()
virtual void | GetLegendPosition2 (float &, float &)
virtual void | GetLegendPosition2 (float[2])
virtual void | SetTitleTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetTitleTextProperty ()
virtual void | SetAxisTitleTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetAxisTitleTextProperty ()
virtual void | SetAxisLabelTextProperty (vtkTextProperty *p)
virtual vtkTextProperty * | GetAxisLabelTextProperty ()
virtual void | SetFontFamily (int val)
virtual int | GetFontFamily ()
void | SetFontFamilyToArial ()
void | SetFontFamilyToCourier ()
void | SetFontFamilyToTimes ()
virtual void | SetBold (int val)
virtual int | GetBold ()
virtual void | BoldOn ()
virtual void | BoldOff ()
virtual void | SetItalic (int val)
virtual int | GetItalic ()
virtual void | ItalicOn ()
virtual void | ItalicOff ()
virtual void | SetShadow (int val)
virtual int | GetShadow ()
virtual void | ShadowOn ()
virtual void | ShadowOff ()
virtual void | SetLogx (int)
virtual int | GetLogx ()
virtual void | LogxOn ()
virtual void | LogxOff ()
virtual void | SetLabelFormat (const char *_arg)
virtual char * | GetLabelFormat ()
virtual void | SetBorder (int)
virtual int | GetBorder ()
virtual int | GetPlotPoints ()
virtual void | SetPlotPoints (int)
virtual void | PlotPointsOn ()
virtual void | PlotPointsOff ()
virtual int | GetPlotLines ()
virtual void | SetPlotLines (int)
virtual void | PlotLinesOn ()
virtual void | PlotLinesOff ()
virtual void | SetGlyphSize (float)
virtual float | GetGlyphSize ()
void | ViewportToPlotCoordinate (vtkViewport *viewport)
virtual void | SetPlotCoordinate (float, float)
void | SetPlotCoordinate (float[2])
virtual float * | GetPlotCoordinate ()
virtual void | GetPlotCoordinate (float &, float &)
virtual void | GetPlotCoordinate (float[2])
void | PlotToViewportCoordinate (vtkViewport *viewport)
virtual void | SetViewportCoordinate (float, float)
void | SetViewportCoordinate (float[2])
virtual float * | GetViewportCoordinate ()
virtual void | GetViewportCoordinate (float &, float &)
virtual void | GetViewportCoordinate (float[2])
int | RenderOpaqueGeometry (vtkViewport *)
int | RenderOverlay (vtkViewport *)
int | RenderTranslucentGeometry (vtkViewport *)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXYPlotActor * | SafeDownCast (vtkObject *o)
vtkXYPlotActor * | New ()
## Protected Methods
| vtkXYPlotActor ()
| ~vtkXYPlotActor ()
void | InitializeEntries ()
void | ComputeXRange (float range[2], float *lengths)
void | ComputeYRange (float range[2])
void | ComputeDORange (float xrange[2], float yrange[2], float *lengths)
virtual void | CreatePlotData (int *pos, int *pos2, float xRange[2], float yRange[2], float *norms, int numDS, int numDO)
void | PlaceAxes (vtkViewport *viewport, int *size, int pos[2], int pos2[2])
void | GenerateClipPlanes (int *pos, int *pos2)
float | ComputeGlyphScale (int i, int *pos, int *pos2)
void | ClipPlotData (int *pos, int *pos2, vtkPolyData *pd)
float * | TransformPoint (int pos[2], int pos2[2], float x[3], float xNew[3])
## Protected Attributes
vtkDataSetCollection * | InputList
char ** | SelectedInputScalars
vtkIntArray * | SelectedInputScalarsComponent
vtkDataObjectCollection * | DataObjectInputList
char * | Title
char * | XTitle
char * | YTitle
int | XValues
int | NumberOfXLabels
int | NumberOfYLabels
int | Logx
char * | LabelFormat
float | XRange [2]
float | YRange [2]
float | XComputedRange [2]
float | YComputedRange [2]
int | Border
int | PlotLines
int | PlotPoints
int | PlotCurveLines
int | PlotCurvePoints
int | ExchangeAxes
int | ReverseXAxis
int | ReverseYAxis
vtkTextMapper * | TitleMapper
vtkActor2D * | TitleActor
vtkTextProperty * | TitleTextProperty
vtkAxisActor2D * | XAxis
vtkAxisActor2D * | YAxis
vtkTextProperty * | AxisTitleTextProperty
vtkTextProperty * | AxisLabelTextProperty
float | ViewportCoordinate [2]
float | PlotCoordinate [2]
int | DataObjectPlotMode
vtkIntArray * | XComponent
vtkIntArray * | YComponent
vtkIntArray * | LinesOn
vtkIntArray * | PointsOn
int | NumberOfInputs
vtkPolyData ** | PlotData
vtkGlyph2D ** | PlotGlyph
vtkAppendPolyData ** | PlotAppend
vtkPolyDataMapper2D ** | PlotMapper
vtkActor2D ** | PlotActor
int | Legend
float | LegendPosition [2]
float | LegendPosition2 [2]
vtkLegendBoxActor * | LegendActor
vtkGlyphSource2D * | GlyphSource
vtkPlanes * | ClipPlanes
float | GlyphSize
int | CachedSize [2]
vtkTimeStamp | BuildTime

## Member Typedef Documentation

typedef vtkActor2D vtkXYPlotActor::Superclass

| Reimplemented from vtkActor2D. Definition at line 135 of file vtkXYPlotActor.h.

## Constructor & Destructor Documentation

vtkXYPlotActor::vtkXYPlotActor | ( |  | ) | `[protected]`

vtkXYPlotActor::~vtkXYPlotActor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXYPlotActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkActor2D.

int vtkXYPlotActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

virtual int vtkXYPlotActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkActor2D.

vtkXYPlotActor* vtkXYPlotActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkActor2D.

void vtkXYPlotActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkActor2D.

vtkXYPlotActor* vtkXYPlotActor::New | ( |  | ) | `[static]`

| Instantiate object with autorange computation; bold, italic, and shadows on; arial font family; the number of labels set to 5 for the x and y axes; a label format of "%-#6.3g"; and x coordinates computed from point ids. Reimplemented from vtkActor2D.

void vtkXYPlotActor::AddInput | ( | vtkDataSet * | in,
|  | const char * | arrayName,
|  | int | component
| ) |

| Add a dataset to the list of data to append. The array name specifies which point array to plot. If the array name is NULL, then the default scalars are used. The array can have multiple components, but only the first component is ploted.

void vtkXYPlotActor::AddInput | ( | vtkDataSet * | in | ) | `[inline]`

| Add a dataset to the list of data to append. The array name specifies which point array to plot. If the array name is NULL, then the default scalars are used. The array can have multiple components, but only the first component is ploted. Definition at line 155 of file vtkXYPlotActor.h.

void vtkXYPlotActor::RemoveInput | ( | vtkDataSet * | in,
|  | const char * | arrayName,
|  | int | component
| ) |

| Remove a dataset from the list of data to append.

void vtkXYPlotActor::RemoveInput | ( | vtkDataSet * | in | ) | `[inline]`

| Remove a dataset from the list of data to append. Definition at line 161 of file vtkXYPlotActor.h.

void vtkXYPlotActor::RemoveAllInputs | ( |  | ) |

| This removes all of the data set inputs, but does not change the data object inputs.

vtkDataSetCollection* vtkXYPlotActor::GetInputList | ( |  | ) | `[inline]`

| Return the list of inputs to this filter. Definition at line 169 of file vtkXYPlotActor.h.

void vtkXYPlotActor::SetPointComponent | ( | int | i,
|  | int | comp
| ) |

| If plotting points by value, which component to use to determine the value. This sets a value per each input dataset (i.e., the ith dataset).

int vtkXYPlotActor::GetPointComponent | ( | int | i | ) |

| If plotting points by value, which component to use to determine the value. This sets a value per each input dataset (i.e., the ith dataset).

virtual void vtkXYPlotActor::SetXValues | ( | int |  | ) | `[virtual]`

| Specify how the independent (x) variable is computed from the points. The independent variable can be the scalar/point index (i.e., point id), the accumulated arc length along the points, the normalized arc length, or by component value. If plotting datasets (e.g., points), the value that is used is specified by the PointComponent ivar. (Note: these methods also control how field data is plotted. Field data is usually plotted by value or index, if plotting length 1-dimensional length measures are used.)

virtual int vtkXYPlotActor::GetXValues | ( |  | ) | `[virtual]`

| Specify how the independent (x) variable is computed from the points. The independent variable can be the scalar/point index (i.e., point id), the accumulated arc length along the points, the normalized arc length, or by component value. If plotting datasets (e.g., points), the value that is used is specified by the PointComponent ivar. (Note: these methods also control how field data is plotted. Field data is usually plotted by value or index, if plotting length 1-dimensional length measures are used.)

void vtkXYPlotActor::SetXValuesToIndex | ( |  | ) | `[inline]`

| Specify how the independent (x) variable is computed from the points. The independent variable can be the scalar/point index (i.e., point id), the accumulated arc length along the points, the normalized arc length, or by component value. If plotting datasets (e.g., points), the value that is used is specified by the PointComponent ivar. (Note: these methods also control how field data is plotted. Field data is usually plotted by value or index, if plotting length 1-dimensional length measures are used.) Definition at line 191 of file vtkXYPlotActor.h. References VTK_XYPLOT_INDEX.

void vtkXYPlotActor::SetXValuesToArcLength | ( |  | ) | `[inline]`

| Specify how the independent (x) variable is computed from the points. The independent variable can be the scalar/point index (i.e., point id), the accumulated arc length along the points, the normalized arc length, or by component value. If plotting datasets (e.g., points), the value that is used is specified by the PointComponent ivar. (Note: these methods also control how field data is plotted. Field data is usually plotted by value or index, if plotting length 1-dimensional length measures are used.) Definition at line 192 of file vtkXYPlotActor.h. References VTK_XYPLOT_ARC_LENGTH.

void vtkXYPlotActor::SetXValuesToNormalizedArcLength | ( |  | ) | `[inline]`

| Specify how the independent (x) variable is computed from the points. The independent variable can be the scalar/point index (i.e., point id), the accumulated arc length along the points, the normalized arc length, or by component value. If plotting datasets (e.g., points), the value that is used is specified by the PointComponent ivar. (Note: these methods also control how field data is plotted. Field data is usually plotted by value or index, if plotting length 1-dimensional length measures are used.) Definition at line 193 of file vtkXYPlotActor.h. References VTK_XYPLOT_NORMALIZED_ARC_LENGTH.

void vtkXYPlotActor::SetXValuesToValue | ( |  | ) | `[inline]`

| Specify how the independent (x) variable is computed from the points. The independent variable can be the scalar/point index (i.e., point id), the accumulated arc length along the points, the normalized arc length, or by component value. If plotting datasets (e.g., points), the value that is used is specified by the PointComponent ivar. (Note: these methods also control how field data is plotted. Field data is usually plotted by value or index, if plotting length 1-dimensional length measures are used.) Definition at line 195 of file vtkXYPlotActor.h. References VTK_XYPLOT_VALUE.

const char* vtkXYPlotActor::GetXValuesAsString | ( |  | ) |

| Specify how the independent (x) variable is computed from the points. The independent variable can be the scalar/point index (i.e., point id), the accumulated arc length along the points, the normalized arc length, or by component value. If plotting datasets (e.g., points), the value that is used is specified by the PointComponent ivar. (Note: these methods also control how field data is plotted. Field data is usually plotted by value or index, if plotting length 1-dimensional length measures are used.)

void vtkXYPlotActor::AddDataObjectInput | ( | vtkDataObject * | in | ) |

| Add a dataset to the list of data to append.

void vtkXYPlotActor::RemoveDataObjectInput | ( | vtkDataObject * | in | ) |

| Remove a dataset from the list of data to append.

vtkDataObjectCollection* vtkXYPlotActor::GetDataObjectInputList | ( |  | ) | `[inline]`

| Return the list of inputs to this filter. Definition at line 212 of file vtkXYPlotActor.h.

virtual void vtkXYPlotActor::SetDataObjectPlotMode | ( | int |  | ) | `[virtual]`

| Indicate whether to plot rows or columns. If plotting rows, then the dependent variables is taken from a specified row, versus rows (y).

virtual int vtkXYPlotActor::GetDataObjectPlotMode | ( |  | ) | `[virtual]`

| Indicate whether to plot rows or columns. If plotting rows, then the dependent variables is taken from a specified row, versus rows (y).

void vtkXYPlotActor::SetDataObjectPlotModeToRows | ( |  | ) | `[inline]`

| Indicate whether to plot rows or columns. If plotting rows, then the dependent variables is taken from a specified row, versus rows (y). Definition at line 221 of file vtkXYPlotActor.h. References VTK_XYPLOT_ROW.

void vtkXYPlotActor::SetDataObjectPlotModeToColumns | ( |  | ) | `[inline]`

| Indicate whether to plot rows or columns. If plotting rows, then the dependent variables is taken from a specified row, versus rows (y). Definition at line 223 of file vtkXYPlotActor.h. References VTK_XYPLOT_COLUMN.

const char* vtkXYPlotActor::GetDataObjectPlotModeAsString | ( |  | ) |

| Indicate whether to plot rows or columns. If plotting rows, then the dependent variables is taken from a specified row, versus rows (y).

void vtkXYPlotActor::SetDataObjectXComponent | ( | int | i,
|  | int | comp
| ) |

| Specify which component of the input data object to use as the independent variable for the ith input data object. (This ivar is ignored if plotting the index.) Note that the value is interpreted differently depending on DataObjectPlotMode. If the mode is Rows, then the value of DataObjectXComponent is the row number; otherwise it's the column number.

int vtkXYPlotActor::GetDataObjectXComponent | ( | int | i | ) |

| Specify which component of the input data object to use as the independent variable for the ith input data object. (This ivar is ignored if plotting the index.) Note that the value is interpreted differently depending on DataObjectPlotMode. If the mode is Rows, then the value of DataObjectXComponent is the row number; otherwise it's the column number.

void vtkXYPlotActor::SetDataObjectYComponent | ( | int | i,
|  | int | comp
| ) |

| Specify which component of the input data object to use as the dependent variable for the ith input data object. (This ivar is ignored if plotting the index.) Note that the value is interpreted differently depending on DataObjectPlotMode. If the mode is Rows, then the value of DataObjectYComponent is the row number; otherwise it's the column number.

int vtkXYPlotActor::GetDataObjectYComponent | ( | int | i | ) |

| Specify which component of the input data object to use as the dependent variable for the ith input data object. (This ivar is ignored if plotting the index.) Note that the value is interpreted differently depending on DataObjectPlotMode. If the mode is Rows, then the value of DataObjectYComponent is the row number; otherwise it's the column number.

void vtkXYPlotActor::SetPlotColor | ( | int | i,
|  | float | r,
|  | float | g,
|  | float | b
| ) |

void vtkXYPlotActor::SetPlotColor | ( | int | i,
|  | const float | color[3]
| ) | `[inline]`

| Definition at line 257 of file vtkXYPlotActor.h.

float* vtkXYPlotActor::GetPlotColor | ( | int | i | ) |

void vtkXYPlotActor::SetPlotSymbol | ( | int | i,
|  | vtkPolyData * | input
| ) |

vtkPolyData* vtkXYPlotActor::GetPlotSymbol | ( | int | i | ) |

void vtkXYPlotActor::SetPlotLabel | ( | int | i,
|  | const char * | label
| ) |

const char* vtkXYPlotActor::GetPlotLabel | ( | int | i | ) |

virtual int vtkXYPlotActor::GetPlotCurvePoints | ( |  | ) | `[virtual]`

virtual void vtkXYPlotActor::SetPlotCurvePoints | ( | int |  | ) | `[virtual]`

virtual void vtkXYPlotActor::PlotCurvePointsOn | ( |  | ) | `[virtual]`

virtual void vtkXYPlotActor::PlotCurvePointsOff | ( |  | ) | `[virtual]`

virtual int vtkXYPlotActor::GetPlotCurveLines | ( |  | ) | `[virtual]`

virtual void vtkXYPlotActor::SetPlotCurveLines | ( | int |  | ) | `[virtual]`

virtual void vtkXYPlotActor::PlotCurveLinesOn | ( |  | ) | `[virtual]`

virtual void vtkXYPlotActor::PlotCurveLinesOff | ( |  | ) | `[virtual]`

void vtkXYPlotActor::SetPlotLines | ( | int | i,
|  | int |
| ) |

int vtkXYPlotActor::GetPlotLines | ( | int | i | ) |

void vtkXYPlotActor::SetPlotPoints | ( | int | i,
|  | int |
| ) |

int vtkXYPlotActor::GetPlotPoints | ( | int | i | ) |

virtual void vtkXYPlotActor::SetExchangeAxes | ( | int |  | ) | `[virtual]`

| Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and vice-versa). Exchanging axes affects the labeling as well.

virtual int vtkXYPlotActor::GetExchangeAxes | ( |  | ) | `[virtual]`

| Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and vice-versa). Exchanging axes affects the labeling as well.

virtual void vtkXYPlotActor::ExchangeAxesOn | ( |  | ) | `[virtual]`

| Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and vice-versa). Exchanging axes affects the labeling as well.

virtual void vtkXYPlotActor::ExchangeAxesOff | ( |  | ) | `[virtual]`

| Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and vice-versa). Exchanging axes affects the labeling as well.

virtual void vtkXYPlotActor::SetReverseXAxis | ( | int |  | ) | `[virtual]`

| Normally the x-axis is plotted from minimum to maximum. Setting this instance variable causes the x-axis to be plotted from maximum to minimum. Note that boolean always applies to the x-axis even if ExchangeAxes is set.

virtual int vtkXYPlotActor::GetReverseXAxis | ( |  | ) | `[virtual]`

| Normally the x-axis is plotted from minimum to maximum. Setting this instance variable causes the x-axis to be plotted from maximum to minimum. Note that boolean always applies to the x-axis even if ExchangeAxes is set.

virtual void vtkXYPlotActor::ReverseXAxisOn | ( |  | ) | `[virtual]`

| Normally the x-axis is plotted from minimum to maximum. Setting this instance variable causes the x-axis to be plotted from maximum to minimum. Note that boolean always applies to the x-axis even if ExchangeAxes is set.

virtual void vtkXYPlotActor::ReverseXAxisOff | ( |  | ) | `[virtual]`

| Normally the x-axis is plotted from minimum to maximum. Setting this instance variable causes the x-axis to be plotted from maximum to minimum. Note that boolean always applies to the x-axis even if ExchangeAxes is set.

virtual void vtkXYPlotActor::SetReverseYAxis | ( | int |  | ) | `[virtual]`

| Normally the y-axis is plotted from minimum to maximum. Setting this instance variable causes the y-axis to be plotted from maximum to minimum. Note that boolean always applies to the y-axis even if ExchangeAxes is set.

virtual int vtkXYPlotActor::GetReverseYAxis | ( |  | ) | `[virtual]`

| Normally the y-axis is plotted from minimum to maximum. Setting this instance variable causes the y-axis to be plotted from maximum to minimum. Note that boolean always applies to the y-axis even if ExchangeAxes is set.

virtual void vtkXYPlotActor::ReverseYAxisOn | ( |  | ) | `[virtual]`

| Normally the y-axis is plotted from minimum to maximum. Setting this instance variable causes the y-axis to be plotted from maximum to minimum. Note that boolean always applies to the y-axis even if ExchangeAxes is set.

virtual void vtkXYPlotActor::ReverseYAxisOff | ( |  | ) | `[virtual]`

| Normally the y-axis is plotted from minimum to maximum. Setting this instance variable causes the y-axis to be plotted from maximum to minimum. Note that boolean always applies to the y-axis even if ExchangeAxes is set.

vtkLegendBoxActor* vtkXYPlotActor::GetLegendBoxActor | ( |  | ) | `[inline]`

| Retrieve handles to the legend box and glyph source. This is useful if you would like to change the default behavior of the legend box or glyph source. For example, the default glyph can be changed from a line to a vertex plus line, etc.) Definition at line 316 of file vtkXYPlotActor.h.

vtkGlyphSource2D* vtkXYPlotActor::GetGlyphSource | ( |  | ) | `[inline]`

| Retrieve handles to the legend box and glyph source. This is useful if you would like to change the default behavior of the legend box or glyph source. For example, the default glyph can be changed from a line to a vertex plus line, etc.) Definition at line 318 of file vtkXYPlotActor.h.

virtual void vtkXYPlotActor::SetTitle | ( | const char * |  | ) | `[virtual]`

| Set/Get the title of the x-y plot, and the title along the x and y axes.

virtual char* vtkXYPlotActor::GetTitle | ( |  | ) | `[virtual]`

| Set/Get the title of the x-y plot, and the title along the x and y axes.

virtual void vtkXYPlotActor::SetXTitle | ( | const char * |  | ) | `[virtual]`

| Set/Get the title of the x-y plot, and the title along the x and y axes.

virtual char* vtkXYPlotActor::GetXTitle | ( |  | ) | `[virtual]`

| Set/Get the title of the x-y plot, and the title along the x and y axes.

virtual void vtkXYPlotActor::SetYTitle | ( | const char * |  | ) | `[virtual]`

| Set/Get the title of the x-y plot, and the title along the x and y axes.

virtual char* vtkXYPlotActor::GetYTitle | ( |  | ) | `[virtual]`

| Set/Get the title of the x-y plot, and the title along the x and y axes.

vtkAxisActor2D* vtkXYPlotActor::GetXAxisActor2D | ( |  | ) | `[inline]`

| Retrieve handles to the X and Y axis (so that you can set their text properties for example) Definition at line 336 of file vtkXYPlotActor.h.

vtkAxisActor2D* vtkXYPlotActor::GetYAxisActor2D | ( |  | ) | `[inline]`

| Retrieve handles to the X and Y axis (so that you can set their text properties for example) Definition at line 338 of file vtkXYPlotActor.h.

virtual void vtkXYPlotActor::SetXRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH).

void vtkXYPlotActor::SetXRange | ( | float | [2] | ) |

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH).

virtual float* vtkXYPlotActor::GetXRange | ( |  | ) | `[virtual]`

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH).

virtual void vtkXYPlotActor::GetXRange | ( | float | data[2] | ) | `[virtual]`

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH).

virtual void vtkXYPlotActor::SetYRange | ( | float | ,
|  | float |
| ) | `[virtual]`

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH).

void vtkXYPlotActor::SetYRange | ( | float | [2] | ) |

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH).

virtual float* vtkXYPlotActor::GetYRange | ( |  | ) | `[virtual]`

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH).

virtual void vtkXYPlotActor::GetYRange | ( | float | data[2] | ) | `[virtual]`

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH).

void vtkXYPlotActor::SetPlotRange | ( | float | xmin,
|  | float | ymin,
|  | float | xmax,
|  | float | ymax
| ) | `[inline]`

| Set the plot range (range of independent and dependent variables) to plot. Data outside of the range will be clipped. If the plot range of either the x or y variables is set to (v1,v2), where v1 == v2, then the range will be computed automatically. Note that the x-range values should be consistent with the way the independent variable is created (via INDEX, DISTANCE, or ARC_LENGTH). Definition at line 353 of file vtkXYPlotActor.h.

virtual void vtkXYPlotActor::SetNumberOfXLabels | ( | int |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show along the x and y axes. This values is a suggestion: the number of labels may vary depending on the particulars of the data. The convenience method SetNumberOfLables() sets the number of x and y labels to the same value.

virtual int vtkXYPlotActor::GetNumberOfXLabels | ( |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show along the x and y axes. This values is a suggestion: the number of labels may vary depending on the particulars of the data. The convenience method SetNumberOfLables() sets the number of x and y labels to the same value.

virtual void vtkXYPlotActor::SetNumberOfYLabels | ( | int |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show along the x and y axes. This values is a suggestion: the number of labels may vary depending on the particulars of the data. The convenience method SetNumberOfLables() sets the number of x and y labels to the same value.

virtual int vtkXYPlotActor::GetNumberOfYLabels | ( |  | ) | `[virtual]`

| Set/Get the number of annotation labels to show along the x and y axes. This values is a suggestion: the number of labels may vary depending on the particulars of the data. The convenience method SetNumberOfLables() sets the number of x and y labels to the same value.

void vtkXYPlotActor::SetNumberOfLabels | ( | int | num | ) | `[inline]`

| Set/Get the number of annotation labels to show along the x and y axes. This values is a suggestion: the number of labels may vary depending on the particulars of the data. The convenience method SetNumberOfLables() sets the number of x and y labels to the same value. Definition at line 367 of file vtkXYPlotActor.h.

virtual void vtkXYPlotActor::SetLegend | ( | int |  | ) | `[virtual]`

| Enable/Disable the creation of a legend. If on, the legend labels will be created automatically unless the per plot legend symbol has been set.

virtual int vtkXYPlotActor::GetLegend | ( |  | ) | `[virtual]`

| Enable/Disable the creation of a legend. If on, the legend labels will be created automatically unless the per plot legend symbol has been set.

virtual void vtkXYPlotActor::LegendOn | ( |  | ) | `[virtual]`

| Enable/Disable the creation of a legend. If on, the legend labels will be created automatically unless the per plot legend symbol has been set.

virtual void vtkXYPlotActor::LegendOff | ( |  | ) | `[virtual]`

| Enable/Disable the creation of a legend. If on, the legend labels will be created automatically unless the per plot legend symbol has been set.

virtual void vtkXYPlotActor::SetLegendPosition | ( | float | ,
|  | float |
| ) | `[virtual]`

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

void vtkXYPlotActor::SetLegendPosition | ( | float | [2] | ) |

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

virtual float* vtkXYPlotActor::GetLegendPosition | ( |  | ) | `[virtual]`

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

virtual void vtkXYPlotActor::GetLegendPosition | ( | float & | ,
|  | float & |
| ) | `[virtual]`

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

virtual void vtkXYPlotActor::GetLegendPosition | ( | float | [2] | ) | `[virtual]`

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

virtual void vtkXYPlotActor::SetLegendPosition2 | ( | float | ,
|  | float |
| ) | `[virtual]`

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

void vtkXYPlotActor::SetLegendPosition2 | ( | float | [2] | ) |

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

virtual float* vtkXYPlotActor::GetLegendPosition2 | ( |  | ) | `[virtual]`

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

virtual void vtkXYPlotActor::GetLegendPosition2 | ( | float & | ,
|  | float & |
| ) | `[virtual]`

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

virtual void vtkXYPlotActor::GetLegendPosition2 | ( | float | [2] | ) | `[virtual]`

| Use these methods to control the position of the legend. The variables LegendPosition and LegendPosition2 define the lower-left and upper-right position of the legend. The coordinates are expressed as normalized values with respect to the rectangle defined by PositionCoordinate and Position2Coordinate. Note that LegendPosition2 is relative to LegendPosition.

virtual void vtkXYPlotActor::SetTitleTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the title text property.

virtual vtkTextProperty* vtkXYPlotActor::GetTitleTextProperty | ( |  | ) | `[virtual]`

| Set/Get the title text property.

virtual void vtkXYPlotActor::SetAxisTitleTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the title text property of all axes. Note that each axis can be controlled individually through the GetX/YAxisActor2D() methods.

virtual vtkTextProperty* vtkXYPlotActor::GetAxisTitleTextProperty | ( |  | ) | `[virtual]`

| Set/Get the title text property of all axes. Note that each axis can be controlled individually through the GetX/YAxisActor2D() methods.

virtual void vtkXYPlotActor::SetAxisLabelTextProperty | ( | vtkTextProperty * | p | ) | `[virtual]`

| Set/Get the labels text property of all axes. Note that each axis can be controlled individually through the GetX/YAxisActor2D() methods.

virtual vtkTextProperty* vtkXYPlotActor::GetAxisLabelTextProperty | ( |  | ) | `[virtual]`

| Set/Get the labels text property of all axes. Note that each axis can be controlled individually through the GetX/YAxisActor2D() methods.

virtual void vtkXYPlotActor::SetFontFamily | ( | int | val | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual int vtkXYPlotActor::GetFontFamily | ( |  | ) | `[virtual]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

void vtkXYPlotActor::SetFontFamilyToArial | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods. Definition at line 421 of file vtkXYPlotActor.h. References VTK_ARIAL.

void vtkXYPlotActor::SetFontFamilyToCourier | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods. Definition at line 422 of file vtkXYPlotActor.h. References VTK_COURIER.

void vtkXYPlotActor::SetFontFamilyToTimes | ( |  | ) | `[inline]`

| Set/Get the font family. Three font types are allowed: Arial (VTK_ARIAL), Courier (VTK_COURIER), and Times (VTK_TIMES). Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods. Definition at line 423 of file vtkXYPlotActor.h. References VTK_TIMES.

virtual void vtkXYPlotActor::SetBold | ( | int | val | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual int vtkXYPlotActor::GetBold | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::BoldOn | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::BoldOff | ( |  | ) | `[virtual]`

| Enable/disable text bolding. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::SetItalic | ( | int | val | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual int vtkXYPlotActor::GetItalic | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::ItalicOn | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::ItalicOff | ( |  | ) | `[virtual]`

| Enable/disable text italic. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::SetShadow | ( | int | val | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual int vtkXYPlotActor::GetShadow | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::ShadowOn | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::ShadowOff | ( |  | ) | `[virtual]`

| Enable/disable text shadows. Warning: these functions remain for backward compatibility. Use the vtkTextProperty through the (Set/Get)TitleTextProperty() methods.

virtual void vtkXYPlotActor::SetLogx | ( | int |  | ) | `[virtual]`

| Enable/Disable plotting of Log of x-values.

virtual int vtkXYPlotActor::GetLogx | ( |  | ) | `[virtual]`

| Enable/Disable plotting of Log of x-values.

virtual void vtkXYPlotActor::LogxOn | ( |  | ) | `[virtual]`

| Enable/Disable plotting of Log of x-values.

virtual void vtkXYPlotActor::LogxOff | ( |  | ) | `[virtual]`

| Enable/Disable plotting of Log of x-values.

virtual void vtkXYPlotActor::SetLabelFormat | ( | const char * | _arg | ) | `[virtual]`

| Set/Get the format with which to print the labels on the scalar bar.

virtual char* vtkXYPlotActor::GetLabelFormat | ( |  | ) | `[virtual]`

| Set/Get the format with which to print the labels on the scalar bar.

virtual void vtkXYPlotActor::SetBorder | ( | int |  | ) | `[virtual]`

| Set/Get the spacing between the plot window and the plot. The value is specified in pixels.

virtual int vtkXYPlotActor::GetBorder | ( |  | ) | `[virtual]`

| Set/Get the spacing between the plot window and the plot. The value is specified in pixels.

virtual int vtkXYPlotActor::GetPlotPoints | ( |  | ) | `[virtual]`

| Set/Get whether the points are rendered. The point size can be set in the property object. This is a global flag which affects the plot only if per curve symbols are not defined.

virtual void vtkXYPlotActor::SetPlotPoints | ( | int |  | ) | `[virtual]`

| Set/Get whether the points are rendered. The point size can be set in the property object. This is a global flag which affects the plot only if per curve symbols are not defined.

virtual void vtkXYPlotActor::PlotPointsOn | ( |  | ) | `[virtual]`

| Set/Get whether the points are rendered. The point size can be set in the property object. This is a global flag which affects the plot only if per curve symbols are not defined.

virtual void vtkXYPlotActor::PlotPointsOff | ( |  | ) | `[virtual]`

| Set/Get whether the points are rendered. The point size can be set in the property object. This is a global flag which affects the plot only if per curve symbols are not defined.

virtual int vtkXYPlotActor::GetPlotLines | ( |  | ) | `[virtual]`

| Set/Get whether the lines are rendered. The line width can be set in the property object.

virtual void vtkXYPlotActor::SetPlotLines | ( | int |  | ) | `[virtual]`

| Set/Get whether the lines are rendered. The line width can be set in the property object.

virtual void vtkXYPlotActor::PlotLinesOn | ( |  | ) | `[virtual]`

| Set/Get whether the lines are rendered. The line width can be set in the property object.

virtual void vtkXYPlotActor::PlotLinesOff | ( |  | ) | `[virtual]`

| Set/Get whether the lines are rendered. The line width can be set in the property object.

virtual void vtkXYPlotActor::SetGlyphSize | ( | float |  | ) | `[virtual]`

| Set/Get the factor that controls how big glyphs are in the plot. The number is expressed as a fraction of the length of the diagonal of the plot bounding box.

virtual float vtkXYPlotActor::GetGlyphSize | ( |  | ) | `[virtual]`

| Set/Get the factor that controls how big glyphs are in the plot. The number is expressed as a fraction of the length of the diagonal of the plot bounding box.

void vtkXYPlotActor::ViewportToPlotCoordinate | ( | vtkViewport * | viewport,
|  | float & | u,
|  | float & | v
| ) |

| Given a position within the viewport used by the plot, return the the plot coordinates (XAxis value, YAxis value)

void vtkXYPlotActor::ViewportToPlotCoordinate | ( | vtkViewport * | viewport | ) |

| An alternate form of ViewportToPlotCoordinate() above. This method inputs the viewport coordinate pair (defined by the ivar ViewportCoordinate)and then stores them in the ivar PlotCoordinate.

virtual void vtkXYPlotActor::SetPlotCoordinate | ( | float | ,
|  | float |
| ) | `[virtual]`

| An alternate form of ViewportToPlotCoordinate() above. This method inputs the viewport coordinate pair (defined by the ivar ViewportCoordinate)and then stores them in the ivar PlotCoordinate.

void vtkXYPlotActor::SetPlotCoordinate | ( | float | [2] | ) |

| An alternate form of ViewportToPlotCoordinate() above. This method inputs the viewport coordinate pair (defined by the ivar ViewportCoordinate)and then stores them in the ivar PlotCoordinate.

virtual float* vtkXYPlotActor::GetPlotCoordinate | ( |  | ) | `[virtual]`

| An alternate form of ViewportToPlotCoordinate() above. This method inputs the viewport coordinate pair (defined by the ivar ViewportCoordinate)and then stores them in the ivar PlotCoordinate.

virtual void vtkXYPlotActor::GetPlotCoordinate | ( | float & | ,
|  | float & |
| ) | `[virtual]`

| An alternate form of ViewportToPlotCoordinate() above. This method inputs the viewport coordinate pair (defined by the ivar ViewportCoordinate)and then stores them in the ivar PlotCoordinate.

virtual void vtkXYPlotActor::GetPlotCoordinate | ( | float | [2] | ) | `[virtual]`

| An alternate form of ViewportToPlotCoordinate() above. This method inputs the viewport coordinate pair (defined by the ivar ViewportCoordinate)and then stores them in the ivar PlotCoordinate.

void vtkXYPlotActor::PlotToViewportCoordinate | ( | vtkViewport * | viewport,
|  | float & | u,
|  | float & | v
| ) |

| Given a plot coordinate, return the viewpoint position

void vtkXYPlotActor::PlotToViewportCoordinate | ( | vtkViewport * | viewport | ) |

| An alternate form of PlotToViewportCoordinate() above. This method inputs the plot coordinate pair (defined in the ivar PlotCoordinate) and then stores them in the ivar ViewportCoordinate. (This method can be wrapped.)

virtual void vtkXYPlotActor::SetViewportCoordinate | ( | float | ,
|  | float |
| ) | `[virtual]`

| An alternate form of PlotToViewportCoordinate() above. This method inputs the plot coordinate pair (defined in the ivar PlotCoordinate) and then stores them in the ivar ViewportCoordinate. (This method can be wrapped.)

void vtkXYPlotActor::SetViewportCoordinate | ( | float | [2] | ) |

| An alternate form of PlotToViewportCoordinate() above. This method inputs the plot coordinate pair (defined in the ivar PlotCoordinate) and then stores them in the ivar ViewportCoordinate. (This method can be wrapped.)

virtual float* vtkXYPlotActor::GetViewportCoordinate | ( |  | ) | `[virtual]`

| An alternate form of PlotToViewportCoordinate() above. This method inputs the plot coordinate pair (defined in the ivar PlotCoordinate) and then stores them in the ivar ViewportCoordinate. (This method can be wrapped.)

virtual void vtkXYPlotActor::GetViewportCoordinate | ( | float & | ,
|  | float & |
| ) | `[virtual]`

| An alternate form of PlotToViewportCoordinate() above. This method inputs the plot coordinate pair (defined in the ivar PlotCoordinate) and then stores them in the ivar ViewportCoordinate. (This method can be wrapped.)

virtual void vtkXYPlotActor::GetViewportCoordinate | ( | float | [2] | ) | `[virtual]`

| An alternate form of PlotToViewportCoordinate() above. This method inputs the plot coordinate pair (defined in the ivar PlotCoordinate) and then stores them in the ivar ViewportCoordinate. (This method can be wrapped.)

int vtkXYPlotActor::IsInPlot | ( | vtkViewport * | viewport,
|  | float | u,
|  | float | v
| ) |

| Is the specified viewport position within the plot area (as opposed to the region used by the plot plus the labels)?

unsigned long vtkXYPlotActor::GetMTime | ( |  | ) | `[virtual]`

| Take into account the modified time of internal helper classes. Reimplemented from vtkActor2D.

int vtkXYPlotActor::RenderOpaqueGeometry | ( | vtkViewport * |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. Draw the x-y plot. Reimplemented from vtkActor2D.

int vtkXYPlotActor::RenderOverlay | ( | vtkViewport * |  | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. Draw the x-y plot. Reimplemented from vtkActor2D.

int vtkXYPlotActor::RenderTranslucentGeometry | ( | vtkViewport * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. Draw the x-y plot. Reimplemented from vtkActor2D. Definition at line 544 of file vtkXYPlotActor.h.

void vtkXYPlotActor::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[virtual]`

| Release any graphics resources that are being consumed by this actor. The parameter window could be used to determine which graphic resources to release. Reimplemented from vtkActor2D.

void vtkXYPlotActor::InitializeEntries | ( |  | ) | `[protected]`

void vtkXYPlotActor::ComputeXRange | ( | float | range[2],
|  | float * | lengths
| ) | `[protected]`

void vtkXYPlotActor::ComputeYRange | ( | float | range[2] | ) | `[protected]`

void vtkXYPlotActor::ComputeDORange | ( | float | xrange[2],
|  | float | yrange[2],
|  | float * | lengths
| ) | `[protected]`

virtual void vtkXYPlotActor::CreatePlotData | ( | int * | pos,
|  | int * | pos2,
|  | float | xRange[2],
|  | float | yRange[2],
|  | float * | norms,
|  | int | numDS,
|  | int | numDO
| ) | `[protected, virtual]`

void vtkXYPlotActor::PlaceAxes | ( | vtkViewport * | viewport,
|  | int * | size,
|  | int | pos[2],
|  | int | pos2[2]
| ) | `[protected]`

void vtkXYPlotActor::GenerateClipPlanes | ( | int * | pos,
|  | int * | pos2
| ) | `[protected]`

float vtkXYPlotActor::ComputeGlyphScale | ( | int | i,
|  | int * | pos,
|  | int * | pos2
| ) | `[protected]`

void vtkXYPlotActor::ClipPlotData | ( | int * | pos,
|  | int * | pos2,
|  | vtkPolyData * | pd
| ) | `[protected]`

float* vtkXYPlotActor::TransformPoint | ( | int | pos[2],
|  | int | pos2[2],
|  | float | x[3],
|  | float | xNew[3]
| ) | `[protected]`

## Member Data Documentation

vtkDataSetCollection* vtkXYPlotActor::InputList`[protected]`

| Definition at line 557 of file vtkXYPlotActor.h.

char** vtkXYPlotActor::SelectedInputScalars`[protected]`

| Definition at line 558 of file vtkXYPlotActor.h.

vtkIntArray* vtkXYPlotActor::SelectedInputScalarsComponent`[protected]`

| Definition at line 559 of file vtkXYPlotActor.h.

vtkDataObjectCollection* vtkXYPlotActor::DataObjectInputList`[protected]`

| Definition at line 560 of file vtkXYPlotActor.h.

char* vtkXYPlotActor::Title`[protected]`

| Definition at line 561 of file vtkXYPlotActor.h.

char* vtkXYPlotActor::XTitle`[protected]`

| Definition at line 562 of file vtkXYPlotActor.h.

char* vtkXYPlotActor::YTitle`[protected]`

| Definition at line 563 of file vtkXYPlotActor.h.

int vtkXYPlotActor::XValues`[protected]`

| Definition at line 564 of file vtkXYPlotActor.h.

int vtkXYPlotActor::NumberOfXLabels`[protected]`

| Definition at line 565 of file vtkXYPlotActor.h.

int vtkXYPlotActor::NumberOfYLabels`[protected]`

| Definition at line 566 of file vtkXYPlotActor.h.

int vtkXYPlotActor::Logx`[protected]`

| Definition at line 567 of file vtkXYPlotActor.h.

char* vtkXYPlotActor::LabelFormat`[protected]`

| Definition at line 568 of file vtkXYPlotActor.h.

float vtkXYPlotActor::XRange[2]`[protected]`

| Definition at line 569 of file vtkXYPlotActor.h.

float vtkXYPlotActor::YRange[2]`[protected]`

| Definition at line 570 of file vtkXYPlotActor.h.

float vtkXYPlotActor::XComputedRange[2]`[protected]`

| Definition at line 571 of file vtkXYPlotActor.h.

float vtkXYPlotActor::YComputedRange[2]`[protected]`

| Definition at line 572 of file vtkXYPlotActor.h.

int vtkXYPlotActor::Border`[protected]`

| Definition at line 573 of file vtkXYPlotActor.h.

int vtkXYPlotActor::PlotLines`[protected]`

| Definition at line 574 of file vtkXYPlotActor.h.

int vtkXYPlotActor::PlotPoints`[protected]`

| Definition at line 575 of file vtkXYPlotActor.h.

int vtkXYPlotActor::PlotCurveLines`[protected]`

| Definition at line 576 of file vtkXYPlotActor.h.

int vtkXYPlotActor::PlotCurvePoints`[protected]`

| Definition at line 577 of file vtkXYPlotActor.h.

int vtkXYPlotActor::ExchangeAxes`[protected]`

| Definition at line 578 of file vtkXYPlotActor.h.

int vtkXYPlotActor::ReverseXAxis`[protected]`

| Definition at line 579 of file vtkXYPlotActor.h.

int vtkXYPlotActor::ReverseYAxis`[protected]`

| Definition at line 580 of file vtkXYPlotActor.h.

vtkTextMapper* vtkXYPlotActor::TitleMapper`[protected]`

| Definition at line 582 of file vtkXYPlotActor.h.

vtkActor2D* vtkXYPlotActor::TitleActor`[protected]`

| Definition at line 583 of file vtkXYPlotActor.h.

vtkTextProperty* vtkXYPlotActor::TitleTextProperty`[protected]`

| Definition at line 584 of file vtkXYPlotActor.h.

vtkAxisActor2D* vtkXYPlotActor::XAxis`[protected]`

| Definition at line 586 of file vtkXYPlotActor.h.

vtkAxisActor2D* vtkXYPlotActor::YAxis`[protected]`

| Definition at line 587 of file vtkXYPlotActor.h.

vtkTextProperty* vtkXYPlotActor::AxisTitleTextProperty`[protected]`

| Definition at line 589 of file vtkXYPlotActor.h.

vtkTextProperty* vtkXYPlotActor::AxisLabelTextProperty`[protected]`

| Definition at line 590 of file vtkXYPlotActor.h.

float vtkXYPlotActor::ViewportCoordinate[2]`[protected]`

| Definition at line 592 of file vtkXYPlotActor.h.

float vtkXYPlotActor::PlotCoordinate[2]`[protected]`

| Definition at line 593 of file vtkXYPlotActor.h.

int vtkXYPlotActor::DataObjectPlotMode`[protected]`

| Definition at line 596 of file vtkXYPlotActor.h.

vtkIntArray* vtkXYPlotActor::XComponent`[protected]`

| Definition at line 597 of file vtkXYPlotActor.h.

vtkIntArray* vtkXYPlotActor::YComponent`[protected]`

| Definition at line 598 of file vtkXYPlotActor.h.

vtkIntArray* vtkXYPlotActor::LinesOn`[protected]`

| Definition at line 599 of file vtkXYPlotActor.h.

vtkIntArray* vtkXYPlotActor::PointsOn`[protected]`

| Definition at line 600 of file vtkXYPlotActor.h.

int vtkXYPlotActor::NumberOfInputs`[protected]`

| Definition at line 605 of file vtkXYPlotActor.h.

vtkPolyData** vtkXYPlotActor::PlotData`[protected]`

| Definition at line 606 of file vtkXYPlotActor.h.

vtkGlyph2D** vtkXYPlotActor::PlotGlyph`[protected]`

| Definition at line 607 of file vtkXYPlotActor.h.

vtkAppendPolyData** vtkXYPlotActor::PlotAppend`[protected]`

| Definition at line 608 of file vtkXYPlotActor.h.

vtkPolyDataMapper2D** vtkXYPlotActor::PlotMapper`[protected]`

| Definition at line 609 of file vtkXYPlotActor.h.

vtkActor2D** vtkXYPlotActor::PlotActor`[protected]`

| Definition at line 610 of file vtkXYPlotActor.h.

int vtkXYPlotActor::Legend`[protected]`

| Definition at line 615 of file vtkXYPlotActor.h.

float vtkXYPlotActor::LegendPosition[2]`[protected]`

| Definition at line 616 of file vtkXYPlotActor.h.

float vtkXYPlotActor::LegendPosition2[2]`[protected]`

| Definition at line 617 of file vtkXYPlotActor.h.

vtkLegendBoxActor* vtkXYPlotActor::LegendActor`[protected]`

| Definition at line 618 of file vtkXYPlotActor.h.

vtkGlyphSource2D* vtkXYPlotActor::GlyphSource`[protected]`

| Definition at line 619 of file vtkXYPlotActor.h.

vtkPlanes* vtkXYPlotActor::ClipPlanes`[protected]`

| Definition at line 620 of file vtkXYPlotActor.h.

float vtkXYPlotActor::GlyphSize`[protected]`

| Definition at line 621 of file vtkXYPlotActor.h.

int vtkXYPlotActor::CachedSize[2]`[protected]`

| Definition at line 624 of file vtkXYPlotActor.h.

vtkTimeStamp vtkXYPlotActor::BuildTime`[protected]`

| Definition at line 625 of file vtkXYPlotActor.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkXYPlotActor.h